Bug 89576 - Unresolved Symbols with bcm5700 driver
Unresolved Symbols with bcm5700 driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-24 11:02 EDT by Ing. Christoph Pirchl
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-25 04:23:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ing. Christoph Pirchl 2003-04-24 11:02:22 EDT
Description of problem:

I´ve installed a 2.4.9-e.12 summit kernel.
The bcm5700 driver 2.0.27 which is shipped with the kernel
does not support our second GIGABIT Ethernet Card

eth1: Broadcom BCM5703 1000Base-SX found at mem fb780000, IRQ 59, node addr 
001018004931
eth1: Broadcom BCM5703 Integrated Copper transceiver found
eth1: Scatter-gather ON, 64-bit DMA ON, Tx Checksum ON, Rx Checksum ON

I need the at leas 2.2.27 driver from IBM,
when i compile it from the source Files and make a mdepmod -a, i
get always
depmod: *** Unresolved symbols in /lib/modules/2.4.9-
e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o

how can this be fixed ?
Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. install 2.4.9-e.12summit
2. install bcm5700 2.2.28 Driver Suite
3. make, make install, modprobe bcm5700
    failure
    
Actual results:

Using /lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o
Symbol version prefix 'smp_'
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: 
unresolved symbol skb_copy_Rsmp_75cf12a5
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: 
unresolved symbol softnet_data_Rsmp_43c7a480
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: 
unresolved symbol __netdev_watchdog_up_Rsmp_de8d3129
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: 
unresolved symbol alloc_skb_Rsmp_95235f0e
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: 
unresolved symbol __kfree_skb_Rsmp_9ac44b35
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: 
unresolved symbol skb_over_panic_Rsmp_cce37b85
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: 
unresolved symbol netif_rx_Rsmp_e5e74611
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: 
unresolved symbol eth_type_trans_Rsmp_841a9865
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: 
insmod /lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o 
failed
/lib/modules/2.4.9-e.12summit/kernel/drivers/addon/bcm5700/bcm5700.o: insmod 
bcm5700 failed

Expected results:
Broadcom Gigabit Ethernet Driver bcm5700 with Broadcom NIC Extension (NICE) 
ver. 2.2.27 (07/03/02)
eth0: Broadcom Vigil B5700 1000Base-T found at mem f0e00000, IRQ 42, node addr 
000255dc2259
eth0: Broadcom BCM5401 Copper transceiver found
eth0: Scatter-gather ON, 64-bit DMA ON, Tx Checksum ON, Rx Checksum ON
eth1: Broadcom BCM5703 1000Base-SX found at mem fb780000, IRQ 59, node addr 
001018004931
eth1: Broadcom BCM5703 Integrated Copper transceiver found
eth1: Scatter-gather ON, 64-bit DMA ON, Tx Checksum ON, Rx Checksum ON

installed

Additional info:
IBM X440 + Redhat AS 2.1
Comment 1 Arjan van de Ven 2003-04-24 11:10:43 EDT
please use tg3 instead; that's the prefered driver for these cards.
It's not possible to compile drivers like this for summit right now.
Comment 2 Ing. Christoph Pirchl 2003-04-25 04:23:44 EDT
I`m using now the tg3 driver, seems to work, but with a self compiled kernel 
(with summit patch), it was possible to use the bcm5700 driver (to compile it 
from source).

Note You need to log in before you can comment on or make changes to this bug.